io.undertow.server.handlers.proxy.mod_cluster

## Class Balancer.BalancerBuilder

- java.lang.Object
- - io.undertow.server.handlers.proxy.mod_cluster.Balancer.BalancerBuilder

Enclosing class:
  Balancer

    public static final class Balancer.BalancerBuilder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BalancerBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Balancer` `build()`
`int` `getMaxattempts()` Deprecated. Use `getMaxRetries()`.
`int` `getMaxRetries()`
`String` `getName()`
`String` `getStickySessionCookie()`
`String` `getStickySessionPath()`
`int` `getWaitWorker()`
`boolean` `isStickySession()`
`boolean` `isStickySessionForce()`
`boolean` `isStickySessionRemove()`
`Balancer.BalancerBuilder` `setMaxattempts(int maxattempts)` Deprecated. Use `setMaxRetries(int)`.
`Balancer.BalancerBuilder` `setMaxRetries(int maxRetries)` Maximum number of failover attempts to send the request to the backend server.
`Balancer.BalancerBuilder` `setName(String name)`
`Balancer.BalancerBuilder` `setStickySession(boolean stickySession)`
`Balancer.BalancerBuilder` `setStickySessionCookie(String stickySessionCookie)`
`Balancer.BalancerBuilder` `setStickySessionForce(boolean stickySessionForce)`
`Balancer.BalancerBuilder` `setStickySessionPath(String stickySessionPath)`
`Balancer.BalancerBuilder` `setStickySessionRemove(boolean stickySessionRemove)`
`Balancer.BalancerBuilder` `setWaitWorker(int waitWorker)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BalancerBuilder

    public BalancerBuilder()

### Method Detail

#### getName

    public String getName()

#### setName

    public Balancer.BalancerBuilder setName(String name)

#### isStickySession

    public boolean isStickySession()

#### setStickySession

    public Balancer.BalancerBuilder setStickySession(boolean stickySession)

#### getStickySessionCookie

    public String getStickySessionCookie()

#### setStickySessionCookie

    public Balancer.BalancerBuilder setStickySessionCookie(String stickySessionCookie)

#### getStickySessionPath

    public String getStickySessionPath()

#### setStickySessionPath

    public Balancer.BalancerBuilder setStickySessionPath(String stickySessionPath)

#### isStickySessionRemove

    public boolean isStickySessionRemove()

#### setStickySessionRemove

    public Balancer.BalancerBuilder setStickySessionRemove(boolean stickySessionRemove)

#### isStickySessionForce

    public boolean isStickySessionForce()

#### setStickySessionForce

    public Balancer.BalancerBuilder setStickySessionForce(boolean stickySessionForce)

#### getWaitWorker

    public int getWaitWorker()

#### setWaitWorker

    public Balancer.BalancerBuilder setWaitWorker(int waitWorker)

#### getMaxRetries

    public int getMaxRetries()

#### setMaxRetries

    public Balancer.BalancerBuilder setMaxRetries(int maxRetries)

Maximum number of failover attempts to send the request to the backend server.

Parameters:
  `maxRetries` - number of failover attempts

#### getMaxattempts

    @Deprecated
    public int getMaxattempts()

Deprecated. Use `getMaxRetries()`.

#### setMaxattempts

    @Deprecated
    public Balancer.BalancerBuilder setMaxattempts(int maxattempts)

Deprecated. Use `setMaxRetries(int)`.

#### build

    public Balancer build()